part of 'generated.dart';

class MarkActivityLogAsReadVariablesBuilder {
  String id;

  final FirebaseDataConnect _dataConnect;
  MarkActivityLogAsReadVariablesBuilder(this._dataConnect, {required  this.id,});
  Deserializer<MarkActivityLogAsReadData> dataDeserializer = (dynamic json)  => MarkActivityLogAsReadData.fromJson(jsonDecode(json));
  Serializer<MarkActivityLogAsReadVariables> varsSerializer = (MarkActivityLogAsReadVariables vars) => jsonEncode(vars.toJson());
  Future<OperationResult<MarkActivityLogAsReadData, MarkActivityLogAsReadVariables>> execute() {
    return ref().execute();
  }

  MutationRef<MarkActivityLogAsReadData, MarkActivityLogAsReadVariables> ref() {
    MarkActivityLogAsReadVariables vars= MarkActivityLogAsReadVariables(id: id,);
    return _dataConnect.mutation("markActivityLogAsRead", dataDeserializer, varsSerializer, vars);
  }
}

@immutable
class MarkActivityLogAsReadActivityLogUpdate {
  final String id;
  MarkActivityLogAsReadActivityLogUpdate.fromJson(dynamic json):
  
  id = nativeFromJson<String>(json['id']);
  @override
  bool operator ==(Object other) {
    if(identical(this, other)) {
      return true;
    }
    if(other.runtimeType != runtimeType) {
      return false;
    }

    final MarkActivityLogAsReadActivityLogUpdate otherTyped = other as MarkActivityLogAsReadActivityLogUpdate;
    return id == otherTyped.id;
    
  }
  @override
  int get hashCode => id.hashCode;
  

  Map<String, dynamic> toJson() {
    Map<String, dynamic> json = {};
    json['id'] = nativeToJson<String>(id);
    return json;
  }

  MarkActivityLogAsReadActivityLogUpdate({
    required this.id,
  });
}

@immutable
class MarkActivityLogAsReadData {
  final MarkActivityLogAsReadActivityLogUpdate? activityLog_update;
  MarkActivityLogAsReadData.fromJson(dynamic json):
  
  activityLog_update = json['activityLog_update'] == null ? null : MarkActivityLogAsReadActivityLogUpdate.fromJson(json['activityLog_update']);
  @override
  bool operator ==(Object other) {
    if(identical(this, other)) {
      return true;
    }
    if(other.runtimeType != runtimeType) {
      return false;
    }

    final MarkActivityLogAsReadData otherTyped = other as MarkActivityLogAsReadData;
    return activityLog_update == otherTyped.activityLog_update;
    
  }
  @override
  int get hashCode => activityLog_update.hashCode;
  

  Map<String, dynamic> toJson() {
    Map<String, dynamic> json = {};
    if (activityLog_update != null) {
      json['activityLog_update'] = activityLog_update!.toJson();
    }
    return json;
  }

  MarkActivityLogAsReadData({
    this.activityLog_update,
  });
}

@immutable
class MarkActivityLogAsReadVariables {
  final String id;
  @Deprecated('fromJson is deprecated for Variable classes as they are no longer required for deserialization.')
  MarkActivityLogAsReadVariables.fromJson(Map<String, dynamic> json):
  
  id = nativeFromJson<String>(json['id']);
  @override
  bool operator ==(Object other) {
    if(identical(this, other)) {
      return true;
    }
    if(other.runtimeType != runtimeType) {
      return false;
    }

    final MarkActivityLogAsReadVariables otherTyped = other as MarkActivityLogAsReadVariables;
    return id == otherTyped.id;
    
  }
  @override
  int get hashCode => id.hashCode;
  

  Map<String, dynamic> toJson() {
    Map<String, dynamic> json = {};
    json['id'] = nativeToJson<String>(id);
    return json;
  }

  MarkActivityLogAsReadVariables({
    required this.id,
  });
}

